OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TNaming

# TNaming_Scope Class Reference

this class manage a scope of labels
===================================

`#include <TNaming_Scope.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TNaming_Scope ()
| WithValid = FALSE .
Standard_EXPORT | TNaming_Scope (const Standard_Boolean WithValid)
| if <withvalid> the scope is defined by the map. If not on the whole framework.
Standard_EXPORT | TNaming_Scope (TDF_LabelMap &valid)
| create a scope with a map. WithValid = TRUE.
Standard_EXPORT Standard_Boolean | WithValid () const
Standard_EXPORT void | WithValid (const Standard_Boolean mode)
Standard_EXPORT void | ClearValid ()
Standard_EXPORT void | Valid (const TDF_Label &L)
Standard_EXPORT void | ValidChildren (const TDF_Label &L, const Standard_Boolean withroot=Standard_True)
Standard_EXPORT void | Unvalid (const TDF_Label &L)
Standard_EXPORT void | UnvalidChildren (const TDF_Label &L, const Standard_Boolean withroot=Standard_True)
Standard_EXPORT Standard_Boolean | IsValid (const TDF_Label &L) const
Standard_EXPORT const TDF_LabelMap & | GetValid () const
Standard_EXPORT TDF_LabelMap & | ChangeValid ()
Standard_EXPORT TopoDS_Shape | CurrentShape (const Handle(TNaming_NamedShape)&NS) const
| Returns the current value of <ns> according to the Valid Scope. .
## Private Attributes
Standard_Boolean | myWithValid
TDF_LabelMap | myValid

## Constructor & Destructor Documentation

Standard_EXPORT TNaming_Scope::TNaming_Scope | ( |  | ) |

Standard_EXPORT TNaming_Scope::TNaming_Scope | ( | const Standard_Boolean | WithValid | ) |

Standard_EXPORT TNaming_Scope::TNaming_Scope | ( | TDF_LabelMap & | valid | ) |

## Member Function Documentation

Standard_EXPORT TDF_LabelMap& TNaming_Scope::ChangeValid | ( |  | ) |

Standard_EXPORT void TNaming_Scope::ClearValid | ( |  | ) |

Standard_EXPORT TopoDS_Shape TNaming_Scope::CurrentShape | ( | const Handle(TNaming_NamedShape)& | NS | ) | const

Standard_EXPORT const TDF_LabelMap& TNaming_Scope::GetValid | ( |  | ) | const

Standard_EXPORT Standard_Boolean TNaming_Scope::IsValid | ( | const TDF_Label & | L | ) | const

void TNaming_Scope::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TNaming_Scope::operator new | ( | size_t | size | ) | `[inline]`

void* TNaming_Scope::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void TNaming_Scope::Unvalid | ( | const TDF_Label & | L | ) |

Standard_EXPORT void TNaming_Scope::UnvalidChildren | ( | const TDF_Label & | L,
|  | const Standard_Boolean | withroot = `Standard_True`
| ) |

Standard_EXPORT void TNaming_Scope::Valid | ( | const TDF_Label & | L | ) |

Standard_EXPORT void TNaming_Scope::ValidChildren | ( | const TDF_Label & | L,
|  | const Standard_Boolean | withroot = `Standard_True`
| ) |

Standard_EXPORT void TNaming_Scope::WithValid | ( | const Standard_Boolean | mode | ) |

Standard_EXPORT Standard_Boolean TNaming_Scope::WithValid | ( |  | ) | const

## Field Documentation

TDF_LabelMap TNaming_Scope::myValid`[private]`

Standard_Boolean TNaming_Scope::myWithValid`[private]`

The documentation for this class was generated from the following file:

- TNaming_Scope.hxx